curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577",
"X-API-Version": "1.2",
},
json={
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": False,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"intent_id\": \"int_hkdmzwzw6h6nmtxbe2u\",",
" \"auto_capture\": false",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""intent_id"": ""int_hkdmzwzw6h6nmtxbe2u"",
""auto_capture"": false
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payment successful!"
}
Payment intents
Confirm intent
The Confirm Customer Intent endpoint is used to confirm a customer’s intent.
POST
/
customer
/
confirm-intent
/
{customer_id}
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577",
"X-API-Version": "1.2",
},
json={
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": False,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"intent_id\": \"int_hkdmzwzw6h6nmtxbe2u\",",
" \"auto_capture\": false",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""intent_id"": ""int_hkdmzwzw6h6nmtxbe2u"",
""auto_capture"": false
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payment successful!"
}
Headers
string
default:"1.2"
required
The API version to use. Supported versions are
1.1 and 1.2.Headers
string
required
A unique UUID string used to prevent duplicate operations.
Request Body Parameters
string
required
The ID of the intent to be confirmed.
boolean
A flag indicating whether to automatically capture the intent immediately upon confirmation.
Response Body
The response for the Confirm Intent request is a JSON object with the following schema:number
The HTTP status code of the response envelope (e.g.
200).string
Status message of the confirmation (e.g.
"Payment successful!").REQUIRES_CAPTURE, SUCCEEDED), use the Retrieve Intent endpoint.
Response Codes
| Code | Description |
|---|---|
| 200 | If the request is successful, the intent is confirmed and the response includes the confirmation details. |
| 400 | Bad Request. Missing required parameters or mismatching types. |
| 401 | Unauthorized. Missing or invalid credentials. |
| 404 | Not Found. The specified customerId or intentId does not exist. |
| 409 | Conflict. The intent cannot be confirmed from its current state. |
| 500 | Internal Server Error. |
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn \
-u "YOUR_UUID:YOUR_SECRET" \
-H "idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577",
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"idempotency-Key": "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577",
"X-API-Version": "1.2",
},
json={
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": False,
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"idempotency-Key: 7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577",
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"intent_id\": \"int_hkdmzwzw6h6nmtxbe2u\",",
" \"auto_capture\": false",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn"))
.header("Authorization", "Basic " + credentials)
.header("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577")
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"intent_id": "int_hkdmzwzw6h6nmtxbe2u",
"auto_capture": false
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/customer/confirm-intent/cus_hkdmtq9nsh6nmfeoppn");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "7b80a149-16ff-4dc8-8eb1-f1f4cfd0d577");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""intent_id"": ""int_hkdmzwzw6h6nmtxbe2u"",
""auto_capture"": false
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Payment successful!"
}
Last modified on November 10, 2026
Was this page helpful?
